Package org.apache.felix.eventadmin.impl.adapter

## Class FrameworkEventAdapter

- java.lang.Object
- - org.apache.felix.eventadmin.impl.adapter.AbstractAdapter
  - - org.apache.felix.eventadmin.impl.adapter.FrameworkEventAdapter

All Implemented Interfaces:
  `EventListener`, `org.osgi.framework.FrameworkListener`

    public class FrameworkEventAdapter
    extends AbstractAdapter
    implements org.osgi.framework.FrameworkListener

This class registers itself as a listener for framework events and posts them via the EventAdmin as specified in 113.6.3 OSGi R4 compendium.

Author:
  Felix Project Team

### Constructor Summary

Constructors
`FrameworkEventAdapter​(org.osgi.framework.BundleContext context, org.osgi.service.event.EventAdmin admin)` The constructor of the adapter.

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `destroy​(org.osgi.framework.BundleContext context)`
`void` `frameworkEvent​(org.osgi.framework.FrameworkEvent event)` Once a framework event is received this method assembles and posts an event via the `EventAdmin` as specified in 113.6.3 OSGi R4 compendium.

### Methods inherited from class org.apache.felix.eventadmin.impl.adapter.AbstractAdapter

`getEventAdmin`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### FrameworkEventAdapter

    public FrameworkEventAdapter​(org.osgi.framework.BundleContext context,
                                 org.osgi.service.event.EventAdmin admin)

The constructor of the adapter. This will register the adapter with the given context as a `FrameworkListener` and subsequently, will post received events via the given EventAdmin.

Parameters:
  `context` - The bundle context with which to register as a listener.
  `admin` - The `EventAdmin` to use for posting events.

### Method Detail

#### destroy

    public void destroy​(org.osgi.framework.BundleContext context)

Specified by:
  `destroy` in class `AbstractAdapter`

#### frameworkEvent

    public void frameworkEvent​(org.osgi.framework.FrameworkEvent event)

Once a framework event is received this method assembles and posts an event via the `EventAdmin` as specified in 113.6.3 OSGi R4 compendium.

Specified by:
  `frameworkEvent` in interface `org.osgi.framework.FrameworkListener`
Parameters:
  `event` - The event to adapt.